import { HttpResponse } from '@sap-cloud-sdk/http-client';
import { AzureOpenAiEmbeddingOutput } from './azure-openai-embedding-types.js';
/**
 * Azure OpenAI embedding response.
 */
export declare class AzureOpenAiEmbeddingResponse {
    readonly rawResponse: HttpResponse;
    /**
     * The embedding response.
     */
    readonly data: AzureOpenAiEmbeddingOutput;
    constructor(rawResponse: HttpResponse);
    /**
     * Parses the Azure OpenAI response and returns the embedding.
     * @param dataIndex - The index of the data to parse.
     * @returns The embedding vector.
     */
    getEmbedding(dataIndex?: number): number[] | undefined;
    private logInvalidDataIndex;
}
//# sourceMappingURL=azure-openai-embedding-response.d.ts.map