import type { AzureOpenAiToolCallType } from './tool-call-type.js';
/**
 * Representation of the 'AzureOpenAiChatCompletionMessageToolCall' schema.
 */
export type AzureOpenAiChatCompletionMessageToolCall = {
    /**
     * The ID of the tool call.
     */
    id: string;
    type: AzureOpenAiToolCallType;
    /**
     * The function that the model called.
     */
    function: {
        /**
         * The name of the function to call.
         */
        name: string;
        /**
         * The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
         */
        arguments: string;
    } & Record<string, any>;
} & Record<string, any>;
//# sourceMappingURL=chat-completion-message-tool-call.d.ts.map