import type { AzureOpenAiChatCompletionResponseMessageRole } from './chat-completion-response-message-role.js';
import type { AzureOpenAiChatCompletionMessageToolCall } from './chat-completion-message-tool-call.js';
import type { AzureOpenAiChatCompletionFunctionCall } from './chat-completion-function-call.js';
import type { AzureOpenAiAzureChatExtensionsMessageContext } from './azure-chat-extensions-message-context.js';
/**
 * A chat completion message generated by the model.
 */
export type AzureOpenAiChatCompletionResponseMessage = {
    role?: AzureOpenAiChatCompletionResponseMessageRole;
    /**
     * The contents of the message.
     */
    content?: string | null;
    /**
     * The tool calls generated by the model, such as function calls.
     */
    tool_calls?: AzureOpenAiChatCompletionMessageToolCall[];
    function_call?: AzureOpenAiChatCompletionFunctionCall;
    context?: AzureOpenAiAzureChatExtensionsMessageContext;
} & Record<string, any>;
//# sourceMappingURL=chat-completion-response-message.d.ts.map