import type { AzureOpenAiDalleContentFilterResults } from './dalle-content-filter-results.js';
import type { AzureOpenAiContentFilterDetectedResult } from './content-filter-detected-result.js';
/**
 * Information about the content filtering category (hate, sexual, violence, self_harm), if it has been detected, as well as the severity level (very_low, low, medium, high-scale that determines the intensity and risk level of harmful content) and if it has been filtered or not. Information about jailbreak content and profanity, if it has been detected, and if it has been filtered or not. And information about customer block list, if it has been filtered and its id.
 */
export type AzureOpenAiDalleFilterResults = AzureOpenAiDalleContentFilterResults & {
    profanity?: AzureOpenAiContentFilterDetectedResult;
    jailbreak?: AzureOpenAiContentFilterDetectedResult;
} & Record<string, any>;
//# sourceMappingURL=dalle-filter-results.d.ts.map